<?xml version='1.0' encoding='UTF-8' ?>
<!--
  ~ Copyright (c) 2016 Roman Nazarenko.
  ~
  ~  This program is free software: you can redistribute it and/or modify
  ~  it under the terms of the GNU Affero General Public License as
  ~  published by the Free Software Foundation, either version 3 of
  ~  the License, or (at your option) any later version.
  ~
  ~  This program is distributed in the hope that it will be useful,
  ~  but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~  GNU General Public License for more details.
  ~
  ~  You should have received a copy of the GNU General Public License
  ~  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:h="http://xmlns.jcp.org/jsf/html"
	  xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	  xmlns:f="http://xmlns.jcp.org/jsf/core"
>

<h:head>
	<ui:include src="/WEB-INF/jsf/include/title.xhtml"/>
	<ui:include src="/WEB-INF/jsf/include/imports.xhtml"/>
	<ui:include src="/WEB-INF/jsf/include/init.xhtml"/>
</h:head>
<h:outputScript>

	$(function () {
		jsf.ajax.addOnEvent(function (event) {
			if (event.status === 'success') {
			}
		});
	});

</h:outputScript>
<h:body styleClass="pushable">
	<div class="pusher">
		<div class="ui container framed">
			<ui:include src="/WEB-INF/jsf/include/header.xhtml"/>
			<div class="ui centered two columns grid">
				<div class="ui thirteen wide footer-margin column">
					<div class="ui raised segment">
						<h1>Edit footer</h1>
						<div class="ui divider"></div>
						<h:form id="editFooterFormId" styleClass="ui ${errorUtils.formClass(component)} form">
							<h2>Edit links</h2>
							<div class="field">
								<label>New link title</label>
								<h:inputText value="#{newLinkTitle}" validatorMessage="No title presented">
									<f:validateRequired/>
									<f:passThroughAttribute name="placeholder" value="A new link title"/>
								</h:inputText>
							</div>
							<div class="field">
								<label>New link URL</label>
								<h:inputText value="#{newLinkUrl}" validatorMessage="No URL presented">
									<f:validateRequired/>
									<f:passThroughAttribute name="placeholder" value="A new link URL"/>
								</h:inputText>
							</div>
							<div class="ui error message">
								<h:messages showDetail="true" showSummary="false"/>
							</div>
							<div class="ui success message">
								Link has been added successfully!
							</div>
							<h:commandButton styleClass="ui button"
											 action="#{footerEditBean.create(newLinkTitle, newLinkUrl)}"
											 value="Create">
								<f:ajax execute="@form" render=":footerLinksListFormId :editFooterFormId"/>
							</h:commandButton>
						</h:form>
						<h:form id="footerLinksListFormId">
							<div class="ui divider"></div>
							<div class="ui relaxed divided list">
								<ui:repeat value="${footerEditBean.links}" var="link">
									<div class="item">
										<div class="ui small right floated relaxed buttons">
											<h:commandButton class="ui button"
															 action="#{footerEditBean.moveUp(link)}"
															 value="Up"
															 disabled="${footerEditBean.links.indexOf(link) eq 0}">
												<f:ajax render=":footerLinksListFormId"/>
											</h:commandButton>
											<div class="or"></div>
											<h:commandButton class="ui button"
															 action="#{footerEditBean.moveDown(link)}"
															 value="Down"
															 disabled="${footerEditBean.links.indexOf(link) eq footerEditBean.links.size() - 1}">
												<f:ajax render=":footerLinksListFormId"/>
											</h:commandButton>
											<h:commandButton styleClass="ui red button"
															 value="Delete"
															 action="#{footerEditBean.delete(link)}">
												<f:ajax render=":footerLinksListFormId"/>
											</h:commandButton>
										</div>
										<div class="content">
											<h3 class="header">
												${link.title}
											</h3>
											<div class="description">
												${link.url}
											</div>
										</div>
									</div>
								</ui:repeat>
							</div>
						</h:form>
					</div>
				</div>
			</div>
		</div>
		<ui:include src="/WEB-INF/jsf/include/footer.xhtml"/>
	</div>
</h:body>
</html>

